unit MainForm;

{
Revision history:

2001 Apr 08  First version


Copyright  David J Taylor, Edinburgh
Web site:  www.satsignal.net
E-mail:    davidtaylor@writeme.com
}

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls;

type
  TFormMain = class (TForm)
    Image1: TImage;
    ButtonSaveImage: TButton;
    ButtonClose: TButton;
    RadioGroupScale: TRadioGroup;
    procedure FormShow (Sender: TObject);
    procedure FormCreate (Sender: TObject);
    procedure FormDestroy (Sender: TObject);
    procedure ButtonCloseClick (Sender: TObject);
    procedure ButtonSaveImageClick (Sender: TObject);
    procedure RadioGroupScaleClick (Sender: TObject);
  private
    { Private declarations }
    bmp: TBitmap;
  public
    { Public declarations }
  end;

var
  FormMain: TFormMain;

implementation

uses JPEG_IO;

{$R *.DFM}

procedure TFormMain.FormCreate (Sender: TObject);
begin
  bmp := TBitmap.Create;
end;


procedure TFormMain.FormDestroy (Sender: TObject);
begin
  bmp.Free;
end;


procedure TFormMain.FormShow (Sender: TObject);
begin
  // Load the full size image
  RadioGroupScaleClick (Self);
end;


procedure TFormMain.ButtonCloseClick (Sender: TObject);
begin
  Close;
end;


procedure TFormMain.ButtonSaveImageClick (Sender: TObject);
begin
  SaveBmpToJpegFile (bmp, 'Saved.jpg', 60, 'Currently Ignored');
end;


procedure TFormMain.RadioGroupScaleClick (Sender: TObject);
begin
  // "True" inthe Load... procedure allows the BMP pixel format to be
  // set appropriately when loading either colour or greyscale images
  Image1.Picture.Bitmap := nil;
  case RadioGroupScale.ItemIndex of
    0: LoadBmpFromJpegFile (bmp, 'flowers.jpg', True, ijlFullSize);
    1: LoadBmpFromJpegFile (bmp, 'flowers.jpg', True, ijlHalf);
    2: LoadBmpFromJpegFile (bmp, 'flowers.jpg', True, ijlQuarter);
    3: LoadBmpFromJpegFile (bmp, 'flowers.jpg', True, ijlEighth);
  end;
  Image1.Picture.Bitmap := bmp;
end;


end.
